<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/classes/useractionscomponent/actions/expansionactiondestroybase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/db1/expansionactiondestroybase_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionactiondestroybase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/db1/expansionactiondestroybase_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionActionDestroyBase.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment"></span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">/*! @brief Provides base classes for other &quot;destroy&quot;-type actions (e.g. for raiding).</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment">    The item to be destroyed is damaged over time in cycles until m_MinHealth01 is reached,</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment">    and the tool used for destroying is damaged or depleted in the process.</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="comment">    Tools that have an energy manager and quantity will not be damaged by performing the action,</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span><span class="comment">    instead they need to be turned on and should loose quantity as they consume energy on their own.</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="comment">    Other tools will receive the configured amount of tool damage.</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="comment">    Each succesfully completed cycle is logged to the admin log.</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="comment"></span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="comment">    NOTE you should not override the following methods in derived actions:</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span><span class="comment"></span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span><span class="comment">    `CreateAndSetupActionCallback` (override `Setup` instead)</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span><span class="comment">    `ActionCondition` (override `DestroyCondition` and/or `CanBeDestroyed` instead)</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span><span class="comment">    `OnFinishProgressServer`</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span><span class="comment"></span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span><span class="comment">    See `ExpansionActionDestroyBarbedWire` and `ExpansionActionCrackSafe` for examples.</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span><span class="comment">*/</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../da/d02/class_expansion_action_destroy_base.html">   30</a></span><span class="keyword">class </span><a class="code hl_class" href="../../da/d02/class_expansion_action_destroy_base.html">ExpansionActionDestroyBase</a> : ExpansionActionToolBase</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>{</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../da/d02/class_expansion_action_destroy_base.html#a73181ec365eabd6726020b42343b2d89">   32</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d02/class_expansion_action_destroy_base.html#a73181ec365eabd6726020b42343b2d89">ExpansionActionDestroyBase</a>()</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        m_CommandUID = DayZPlayerConstants.CMD_ACTIONFB_DISASSEMBLE;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        m_StanceMask = DayZPlayerConstants.STANCEMASK_ERECT | DayZPlayerConstants.STANCEMASK_CROUCH;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        m_SpecialtyWeight = UASoftSkillsWeight.ROUGH_HIGH;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        m_FullBody = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span> </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../da/d02/class_expansion_action_destroy_base.html#a74abb84306892a9370e171f334a99d41">   40</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d02/class_expansion_action_destroy_base.html#a74abb84306892a9370e171f334a99d41">CreateConditionComponents</a>()</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        m_ConditionItem = <span class="keyword">new</span> CCINonRuined;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        m_ConditionTarget = <span class="keyword">new</span> CCTNone;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../da/d02/class_expansion_action_destroy_base.html#a9c459f31fe473852d87a30eba6bd5f6b">   46</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/d02/class_expansion_action_destroy_base.html#a9c459f31fe473852d87a30eba6bd5f6b">GetText</a>()</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;#destroy&quot;</span> + <span class="stringliteral">&quot; &quot;</span> + m_TargetName;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span> </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../da/d02/class_expansion_action_destroy_base.html#ad56c6a4db0bb04e893bc4c476c002587">   51</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d02/class_expansion_action_destroy_base.html#ad56c6a4db0bb04e893bc4c476c002587">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, ActionTarget target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <span class="keywordflow">if</span> ( !super.ActionCondition( player, target, item ) )</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../da/d02/class_expansion_action_destroy_base.html#a8340f9de359f36d6e488280dd4902fe8">DestroyCondition</a>( player, target, item, <span class="keyword">false</span> ) )</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="../../da/d02/class_expansion_action_destroy_base.html#a8340f9de359f36d6e488280dd4902fe8">   62</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d02/class_expansion_action_destroy_base.html#a8340f9de359f36d6e488280dd4902fe8">DestroyCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, ActionTarget target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item, <span class="keywordtype">bool</span> camera_check )</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    {</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../da/d02/class_expansion_action_destroy_base.html#ac518d31200200526a884559747c9ea1b">CanBeDestroyed</a>( target.GetParentOrObject() );</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../da/d02/class_expansion_action_destroy_base.html#ac518d31200200526a884559747c9ea1b">   67</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d02/class_expansion_action_destroy_base.html#ac518d31200200526a884559747c9ea1b">CanBeDestroyed</a>( Object targetObject )</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span> </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="../../da/d02/class_expansion_action_destroy_base.html#af6d98d4860cfbdabd5b77ec950aa6146">   72</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d02/class_expansion_action_destroy_base.html#af6d98d4860cfbdabd5b77ec950aa6146">OnFinishProgressServer</a>( ActionData action_data )</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    {</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../da/d02/class_expansion_action_destroy_base.html#ac518d31200200526a884559747c9ea1b">CanBeDestroyed</a>( action_data.m_Target.GetParentOrObject() ) )</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        Object actualTargetObject = GetActualTargetObject( action_data.m_Target.GetParentOrObject() );</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span> </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <span class="keywordflow">if</span> ( actualTargetObject )</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../da/d02/class_expansion_action_destroy_base.html#ac518d31200200526a884559747c9ea1b">CanBeDestroyed</a>( actualTargetObject ) )  <span class="comment">//! Just incase actual target object is different from target object</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>                <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span> </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            <span class="keywordtype">float</span> curHealth = actualTargetObject.GetHealth();</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            <span class="keywordtype">float</span> maxHealth = actualTargetObject.GetMaxHealth( <span class="stringliteral">&quot;&quot;</span>, <span class="stringliteral">&quot;Health&quot;</span> );</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>            <span class="keywordtype">float</span> minHealth = Math.Floor( maxHealth * m_MinHealth01 );</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            <span class="keywordtype">float</span> dmg = Math.Ceil( ( maxHealth - minHealth ) / m_Cycles );</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span> </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            <span class="keywordflow">if</span> ( curHealth &gt; minHealth )</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>            {</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>                <span class="keywordflow">if</span> ( curHealth - dmg &lt; minHealth )</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>                    dmg = curHealth - minHealth;</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span> </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>                actualTargetObject.DecreaseHealth( dmg );</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span><span class="comment"></span> </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span><span class="comment">                //! Deplete/damage tool</span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span><span class="comment"></span>                super.OnFinishProgressServer( action_data );</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            } <span class="keywordflow">else</span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            {</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>                dmg = 0;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            }</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span> </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>            <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> actualTargetItem = <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast( actualTargetObject );</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span> </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>            <span class="keywordflow">if</span> (actualTargetItem)</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            {</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>                actualTargetItem.RaidLog( action_data.m_MainItem, <span class="stringliteral">&quot;&quot;</span>, curHealth, dmg, 1.0 );</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span> </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>                <span class="keywordflow">if</span> ( actualTargetObject.GetHealth() &lt;= minHealth )</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>                {</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>                    <span class="keywordflow">if</span> ( !actualTargetObject.IsDamageDestroyed() )</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>                        actualTargetItem.<a class="code hl_function" href="../../de/d7a/class_item_base.html#a23257b790ec37848886f7ae726aad8af">ExpansionOnDestroyed</a>( action_data.m_Player );</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>                }</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>            }</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        }</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    }</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>}</div>
<div class="ttc" id="aclass_expansion_action_destroy_base_html"><div class="ttname"><a href="../../da/d02/class_expansion_action_destroy_base.html">ExpansionActionDestroyBase</a></div><div class="ttdoc">Provides base classes for other &quot;destroy&quot;-type actions (e.g. for raiding). The item to be destroyed i...</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/db1/expansionactiondestroybase_8c_source.html#l00030">expansionactiondestroybase.c:31</a></div></div>
<div class="ttc" id="aclass_expansion_action_destroy_base_html_a73181ec365eabd6726020b42343b2d89"><div class="ttname"><a href="../../da/d02/class_expansion_action_destroy_base.html#a73181ec365eabd6726020b42343b2d89">ExpansionActionDestroyBase::ExpansionActionDestroyBase</a></div><div class="ttdeci">void ExpansionActionDestroyBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/db1/expansionactiondestroybase_8c_source.html#l00032">expansionactiondestroybase.c:32</a></div></div>
<div class="ttc" id="aclass_expansion_action_destroy_base_html_a74abb84306892a9370e171f334a99d41"><div class="ttname"><a href="../../da/d02/class_expansion_action_destroy_base.html#a74abb84306892a9370e171f334a99d41">ExpansionActionDestroyBase::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/db1/expansionactiondestroybase_8c_source.html#l00040">expansionactiondestroybase.c:40</a></div></div>
<div class="ttc" id="aclass_expansion_action_destroy_base_html_a8340f9de359f36d6e488280dd4902fe8"><div class="ttname"><a href="../../da/d02/class_expansion_action_destroy_base.html#a8340f9de359f36d6e488280dd4902fe8">ExpansionActionDestroyBase::DestroyCondition</a></div><div class="ttdeci">bool DestroyCondition(PlayerBase player, ActionTarget target, ItemBase item, bool camera_check)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/db1/expansionactiondestroybase_8c_source.html#l00062">expansionactiondestroybase.c:62</a></div></div>
<div class="ttc" id="aclass_expansion_action_destroy_base_html_a9c459f31fe473852d87a30eba6bd5f6b"><div class="ttname"><a href="../../da/d02/class_expansion_action_destroy_base.html#a9c459f31fe473852d87a30eba6bd5f6b">ExpansionActionDestroyBase::GetText</a></div><div class="ttdeci">override string GetText()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/db1/expansionactiondestroybase_8c_source.html#l00046">expansionactiondestroybase.c:46</a></div></div>
<div class="ttc" id="aclass_expansion_action_destroy_base_html_ac518d31200200526a884559747c9ea1b"><div class="ttname"><a href="../../da/d02/class_expansion_action_destroy_base.html#ac518d31200200526a884559747c9ea1b">ExpansionActionDestroyBase::CanBeDestroyed</a></div><div class="ttdeci">bool CanBeDestroyed(Object targetObject)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/db1/expansionactiondestroybase_8c_source.html#l00067">expansionactiondestroybase.c:67</a></div></div>
<div class="ttc" id="aclass_expansion_action_destroy_base_html_ad56c6a4db0bb04e893bc4c476c002587"><div class="ttname"><a href="../../da/d02/class_expansion_action_destroy_base.html#ad56c6a4db0bb04e893bc4c476c002587">ExpansionActionDestroyBase::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/db1/expansionactiondestroybase_8c_source.html#l00051">expansionactiondestroybase.c:51</a></div></div>
<div class="ttc" id="aclass_expansion_action_destroy_base_html_af6d98d4860cfbdabd5b77ec950aa6146"><div class="ttname"><a href="../../da/d02/class_expansion_action_destroy_base.html#af6d98d4860cfbdabd5b77ec950aa6146">ExpansionActionDestroyBase::OnFinishProgressServer</a></div><div class="ttdeci">override void OnFinishProgressServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/db1/expansionactiondestroybase_8c_source.html#l00072">expansionactiondestroybase.c:72</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dbd/expansionbaselights_8c_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aclass_item_base_html_a23257b790ec37848886f7ae726aad8af"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a23257b790ec37848886f7ae726aad8af">ItemBase::ExpansionOnDestroyed</a></div><div class="ttdeci">override void ExpansionOnDestroyed(Object killer)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d1d/expansioncodelock_8c_source.html#l00185">expansioncodelock.c:185</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dc0/playerbase_8c_source.html#l00013">playerbase.c:14</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_e66306a3976d6d81f5e1305840c1314d.html">BaseBuilding</a></li><li class="navelem"><a class="el" href="../../dir_92106a510097343a3fe1c14124c59151.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_844bf89108e22cf51aae4b5452c2c906.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_a0e24776517e17f620f1adfb86971bb4.html">dayzexpansion_basebuilding</a></li><li class="navelem"><a class="el" href="../../dir_7c54c617c523e91968b06f6c4d40561c.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_c81cc1ad0bcb4f6919dc1b9d5f9d5d05.html">useractionscomponent</a></li><li class="navelem"><a class="el" href="../../dir_60d28b9c29e7916a419493eda4bdadab.html">actions</a></li><li class="navelem"><a class="el" href="../../dc/db1/expansionactiondestroybase_8c.html">expansionactiondestroybase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
